/*Author: Holly Dahlstrom
    Date Created: 10/24/2024
    This is the style for the Honey Page*/

    @import url('https://fonts.googleapis.com/css2?family=Tsukimi+Rounded:wght@300;400;500;600;700&display=swap');

    body {
        background-color:rgb(212, 178, 55);
        font-family: Arial, Helvetica, sans-serif;
    }

    #container {
        display: flex;
        flex-direction: column;
        width:90%;
        border: 4px solid rgb(43, 46, 45);
        margin: 2vh auto;
        border-radius: 25px;
        box-shadow: 15px 15px 15px 5px rgba(0, 0, 0, 0.5);
        background-color: rgb(241, 242, 237);
    }
    
    img.banner {
        width: 100%;
        height:auto;
        border-top-left-radius: 22px;
        border-top-right-radius: 22px;
    }

    h1 {
        color:rgb(163, 119, 42);
        text-align: center;
        font-family: "Tsukimi Rounded", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 2.5em;
        border-top: 4px solid rgb(245, 167, 66);
        padding-top: 0.5em;
        margin-top: 0.75em; 
    }

    h2 {
        color:rgb(163, 119, 42);
        font-family: "Tsukimi Rounded", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 2.5em;
        text-align: center;
    }

    h4 {
        color:rgb(163, 119, 42);
        font-family: "Tsukimi Rounded", sans-serif;
        font-weight: 400;
        font-style: normal;
        font-size: 1.5em;
    }
    
    p {
        color:rgb(15, 15, 15);
        font-family: "Tsukimi Rounded", sans-serif;
        font-weight: 400;
        font-style: normal;
        line-height: 1.6;
        text-align: left;
        font-size: 1.2em;
        padding: 0 5%;
    }

    main {
        display: flex;
        flex-direction: row;
    }

    #columna {
        background-color: rgb(241, 218, 176);
        padding: 0.55em;
        order: 3;
        flex: 1;
    }

    #columnb {
        background-color: rgb(217, 184, 134);
        padding: 0.55em;
        order: 1;
        flex: 2;
    }

    #columnc {
        background-color: rgb(245, 209, 133);
        padding: 0.55em;
        order: 2;
        flex: 1;
    }

    img.left {
        float:left;
        margin: 0 5vw 2.5vh 1vw;
        border: 4px solid rgb(245, 167, 66);
        padding: 0.8em;
        background-color: rgb(245, 239, 233);
        box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.5);
    }

    img.right {
        float:right;
        margin: 0 1vw 2.5vh 5vw;
        border: 4px solid rgb(245, 167, 66);
        padding: 0.8em;
        background-color: rgb(245, 239, 233);
        box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.5);
    }
    
    footer {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        background-color: rgb(43, 46, 45);
        color: rgb(250, 250, 250);
        padding: 1.5em;
        border-bottom-left-radius: 19px;
        border-bottom-right-radius: 19px;
    }
    
    footer a, footer p{
        background-color: rgb(43, 46, 45);
        color: rgb(250, 250, 250);
    }

    /* Styling of the nav bar*/
    nav {
        background-color: rgb(232, 198, 77);
        text-align: center;
        text-transform: uppercase;
        padding: 0.4em;
        font-weight: bold;
    }

    nav ul {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
    }

    nav li {
        list-style-type: none;
        display: inline;
        margin-right: 1.5em;
    }

@media only screen and (max-width:600px)
{
    #container {
        width: 100%;
        margin: 0;
    }
    
    nav ul {
        flex-direction: column;
    }

    main {
        flex-direction: column;
    }

    img.left {
        display: block;
        float: none;
        margin: 0.5em auto;
    }

    img.right {
        display: block;
        float: none;
        margin: 0.5em auto;
    }
}